Get Transaction List

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/zipform-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "ZipForm API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/zipform-api/mcp"
  }
}

Close
GET /transactions

Returns the list of transactions available for the authenticated user. Supports optional filter parameters.

Query parameters

  • since string(date-time)

    Return transactions created from this date onwards

  • modifiedSince string(date-time)

    Return transactions modified from this date onwards

  • status string

    Filter by status: active (default), pending, closed, inactive, locked, all, all:active, all:pending, all:closed, all:inactive, all:locked

  • agentId string

    Filter transactions by agent ID (brokerage/team scenarios)

  • filterBy string

    Text filter applied to property address, city, zip, transaction name, or buyer/seller name

  • teamId string

    Filter by team ID, or use 'all' for all teams the agent belongs to

  • page integer
  • pagesize integer
  • orderby string

    Values are name or created.

  • sortorder string

    Values are asc or desc.

Responses

  • 200 application/json

    List of transactions

    Hide response attribute Show response attribute object
    • value array[object]
      Hide value attributes Show value attributes object
      • id string(uuid)

        Transaction GUID

      • name string
      • status string

        Values are active, pending, closed, inactive, or locked.

      • expiration string(date-time)
      • transactionType string

        Values are Listing, Purchase, Lease, or LeaseListing.

      • propertyType string

        Values are Residential, Commercial, Industrial, VacantLand, MultiUnit, FarmAndRanch, Condominium, ManufacturedHome, Coop, or Unlisted.

      • hasFiles boolean
      • created string(date-time)
      • lastUpdated string(date-time)
      • ownerName string
      • number integer
      • seller string
      • buyer string
      • propertyAddress string

        Full address in one value

      • address string
      • city string
      • state string
      • zip string
      • isSigned boolean

        Whether the transaction has signed documents

      • EncryptedOwnerId string(uuid)

        GUID of the agent who owns this transaction

  • 401

    Unauthorized

GET /transactions
curl \
 --request GET 'https://ws.zipformplus.com/api/transactions' \
 --header "X-Auth-ContextId: $API_KEY"
Response examples (200)
{
  "value": [
    {
      "id": "string",
      "name": "1060 Mountain St",
      "status": "active",
      "expiration": "2026-05-04T09:42:00Z",
      "transactionType": "Listing",
      "propertyType": "Residential",
      "hasFiles": true,
      "created": "2026-05-04T09:42:00Z",
      "lastUpdated": "2026-05-04T09:42:00Z",
      "ownerName": "string",
      "number": 1033771,
      "seller": "string",
      "buyer": "string",
      "propertyAddress": "string",
      "address": "string",
      "city": "string",
      "state": "string",
      "zip": "string",
      "isSigned": true,
      "EncryptedOwnerId": "string"
    }
  ]
}